Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class LocalitemattributeType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.LocalitemattributeType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class LocalitemattributeType extends Object implements Serializable

Java class for localitemattributeType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="localitemattributeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded" minOccurs="0"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}LOCAL"/>
             <element name="content" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}contentlocalitemattributeType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalitemattributeType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LOCAL`
  `getCd()`
  Gets the value of the cd property.
  `ContentlocalitemattributeType`
  `getContent()`
  Gets the value of the content property.
  `List<IDKMEHR>`
  `getIds()`
  Gets the value of the ids property.
  `void`
  `setCd(LOCAL value)`
  Sets the value of the cd property.
  `void`
  `setContent(ContentlocalitemattributeType value)`
  Sets the value of the content property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalitemattributeType

    public LocalitemattributeType()

- ## Method Details

  - ### getIds

    public List<IDKMEHR> getIds()
    Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `IDKMEHR`

    Returns:
      The value of the ids property.

  - ### getCd

    public LOCAL getCd()
    Gets the value of the cd property.
    Returns:
      possible object is `LOCAL`

  - ### setCd

    public void setCd(LOCAL value)
    Sets the value of the cd property.
    Parameters:
      `value` - allowed object is `LOCAL`

  - ### getContent

    public ContentlocalitemattributeType getContent()
    Gets the value of the content property.
    Returns:
      possible object is `ContentlocalitemattributeType`

  - ### setContent

    public void setContent(ContentlocalitemattributeType value)
    Sets the value of the content property.
    Parameters:
      `value` - allowed object is `ContentlocalitemattributeType`